**To retrieve a list of access preview findings generated by the specified access preview**

The following ``list-access-preview-findings`` example retrieves a list of access preview findings generated by the specified access preview in your AWS account. ::

    aws accessanalyzer list-access-preview-findings \
        --access-preview-id 3c65eb13-6ef9-4629-8919-a32043619e6b \
        --analyzer-arn arn:aws:access-analyzer:us-west-2:111122223333:analyzer/ConsoleAnalyzer-account

Output::

    {
        "findings": [
            {
                "id": "e22fc158-1c87-4c32-9464-e7f405ce8d74",
                "principal": {
                    "AWS": "111122223333"
                },
                "action": [
                    "s3:PutObject",
                    "s3:PutObjectAcl"
                ],
                "condition": {},
                "resource": "arn:aws:s3:::DOC-EXAMPLE-BUCKET",
                "isPublic": false,
                "resourceType": "AWS::S3::Bucket",
                "createdAt": "2024-02-17T00:18:46+00:00",
                "changeType": "NEW",
                "status": "ACTIVE",
                "resourceOwnerAccount": "111122223333",
                "sources": [
                    {
                        "type": "POLICY"
                    }
                ]
            }
        ]
    }

For more information, see `Previewing access with IAM Access Analyzer APIs <https://docs.aws.amazon.com/IAM/latest/UserGuide/access-analyzer-preview-access-apis.html>`__ in the *AWS IAM User Guide*.